/****************************************************************************/
/* GF42 ( 郵便番号定義 )                                                    */
/* Created : 2022/11/10 17:41:05                                            */
/****************************************************************************/


ALTER TABLE GF42 DROP CONSTRAINT GF42_LUQ;

ALTER TABLE GF42 ADD CONSTRAINT GF42_LUQ UNIQUE( POSTCODE,PREF_KANA,CITY_KANA,TOWN_KANA )
USING INDEX TABLESPACE GEIDX01
STORAGE( INITIAL 16K )
;


DROP INDEX GF42_SA;

CREATE INDEX GF42_SA ON GF42( JIGYO_KANA )
TABLESPACE GEIDX01
STORAGE( INITIAL 16K )
;


DROP INDEX GF42_SB;

CREATE INDEX GF42_SB ON GF42( CITY_KANA,JISCODE )
TABLESPACE GEIDX01
STORAGE( INITIAL 16K )
;


DROP INDEX GF42_SC;

CREATE INDEX GF42_SC ON GF42( TOWN_KANA )
TABLESPACE GEIDX01
STORAGE( INITIAL 16K )
;


DROP INDEX GF42_SD;

CREATE INDEX GF42_SD ON GF42( JIGYO_KANJI )
TABLESPACE GEIDX01
STORAGE( INITIAL 16K )
;


DROP INDEX GF42_SE;

CREATE INDEX GF42_SE ON GF42( CITY_KANJI )
TABLESPACE GEIDX01
STORAGE( INITIAL 16K )
;


DROP INDEX GF42_SF;

CREATE INDEX GF42_SF ON GF42( TOWN_KANJI )
TABLESPACE GEIDX01
STORAGE( INITIAL 16K )
;
